# MySQL dump 8.16
#
# Host: localhost    Database: AdvancedPoll
#--------------------------------------------------------
# Server version	3.23.42

#
# Table structure for table 'poll_comment'
#

CREATE TABLE poll_comment (
  com_id int(9) NOT NULL auto_increment,
  poll_id int(9) NOT NULL default '0',
  time int(11) NOT NULL default '0',
  host varchar(70) NOT NULL default '',
  browser varchar(70) NOT NULL default '',
  name varchar(60) NOT NULL default '',
  email varchar(70) NOT NULL default '',
  message text NOT NULL,
  PRIMARY KEY  (com_id)
) TYPE=MyISAM;

#
# Dumping data for table 'poll_comment'
#


#
# Table structure for table 'poll_config'
#

CREATE TABLE poll_config (
  config_id smallint(5) unsigned NOT NULL auto_increment,
  base_gif varchar(60) NOT NULL default '',
  lang varchar(20) NOT NULL default '',
  title varchar(60) NOT NULL default '',
  vote_button varchar(30) NOT NULL default '',
  result_text varchar(40) NOT NULL default '',
  total_text varchar(40) NOT NULL default '',
  voted varchar(40) NOT NULL default '',
  send_com varchar(40) NOT NULL default '',
  img_height int(5) NOT NULL default '0',
  img_length int(5) NOT NULL default '0',
  table_width varchar(6) NOT NULL default '',
  bgcolor_tab varchar(7) NOT NULL default '',
  bgcolor_fr varchar(7) NOT NULL default '',
  font_face varchar(70) NOT NULL default '',
  font_color varchar(7) NOT NULL default '',
  type varchar(10) NOT NULL default '0',
  check_ip smallint(2) NOT NULL default '0',
  lock_timeout int(9) NOT NULL default '0',
  time_offset varchar(5) NOT NULL default '0',
  entry_pp int(4) unsigned NOT NULL default '0',
  poll_version varchar(5) NOT NULL default '0',
  base_url varchar(100) NOT NULL default '',
  result_order varchar(20) NOT NULL default '',
  def_options smallint(3) unsigned NOT NULL default '0',
  polls_pp int(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (config_id)
) TYPE=MyISAM;

#
# Dumping data for table 'poll_config'
#

INSERT INTO poll_config VALUES (1,'/~poll/pollphp/mysql/image','english.php','Advanced Poll','Vote','View results','Total votes','You have already voted!','Send comment',10,42,'170','#FFFFFF','#666699','Verdana, Arial, Helvetica, sans-serif','#000000','percent',0,2,'0',5,'2.0','/~poll/pollphp/mysql/','desc',10,12);

#
# Table structure for table 'poll_data'
#

CREATE TABLE poll_data (
  id int(11) NOT NULL auto_increment,
  poll_id int(11) NOT NULL default '0',
  option_id int(11) NOT NULL default '0',
  option_text varchar(100) NOT NULL default '',
  color varchar(20) NOT NULL default '',
  votes int(14) NOT NULL default '0',
  PRIMARY KEY  (poll_id,option_id),
  KEY id (id)
) TYPE=MyISAM;

#
# Dumping data for table 'poll_data'
#

INSERT INTO poll_data VALUES (1,1,1,'Linux','blue',49);
INSERT INTO poll_data VALUES (2,1,2,'Solaris','yellow',12);
INSERT INTO poll_data VALUES (3,1,3,'FreeBSD','green',30);
INSERT INTO poll_data VALUES (4,1,4,'WindowsNT','brown',17);
INSERT INTO poll_data VALUES (5,1,5,'Unix','grey',13);
INSERT INTO poll_data VALUES (6,1,6,'BSD','red',18);
INSERT INTO poll_data VALUES (7,1,7,'other','blue',9);
INSERT INTO poll_data VALUES (8,2,5,'Sybase','orange',4);
INSERT INTO poll_data VALUES (9,2,4,'MS SQL','aqua',11);
INSERT INTO poll_data VALUES (10,2,3,'Oracle','yellow',21);
INSERT INTO poll_data VALUES (11,2,2,'PostgreSQL','blue',6);
INSERT INTO poll_data VALUES (12,2,1,'MySQL','darkgreen',23);
INSERT INTO poll_data VALUES (13,2,6,'other','pink',7);
INSERT INTO poll_data VALUES (14,2,7,'DB/2','blue',4);

#
# Table structure for table 'poll_index'
#

CREATE TABLE poll_index (
  poll_id int(11) unsigned NOT NULL auto_increment,
  question varchar(100) NOT NULL default '',
  timestamp int(11) NOT NULL default '0',
  status smallint(2) NOT NULL default '0',
  logging smallint(2) NOT NULL default '0',
  exp_time int(11) NOT NULL default '0',
  expire smallint(2) NOT NULL default '0',
  comments smallint(2) NOT NULL default '0',
  PRIMARY KEY  (poll_id)
) TYPE=MyISAM;

#
# Dumping data for table 'poll_index'
#

INSERT INTO poll_index VALUES (1,'Which OS is your Website running on?',1006735181,1,0,1007599495,0,1);
INSERT INTO poll_index VALUES (2,'Which database engine do you prefer?',1006735231,1,1,1007599096,0,1);

#
# Table structure for table 'poll_ip'
#

CREATE TABLE poll_ip (
  ip_id int(11) NOT NULL auto_increment,
  poll_id int(11) NOT NULL default '0',
  ip_addr varchar(15) NOT NULL default '',
  timestamp int(11) NOT NULL default '0',
  PRIMARY KEY  (ip_id)
) TYPE=MyISAM;

#
# Dumping data for table 'poll_ip'
#


#
# Table structure for table 'poll_log'
#

CREATE TABLE poll_log (
  log_id int(11) unsigned NOT NULL auto_increment,
  poll_id int(11) NOT NULL default '0',
  option_id int(11) NOT NULL default '0',
  timestamp int(11) NOT NULL default '0',
  ip_addr varchar(15) NOT NULL default '',
  host varchar(70) NOT NULL default '',
  agent varchar(80) NOT NULL default '0',
  PRIMARY KEY  (log_id)
) TYPE=MyISAM;

#
# Dumping data for table 'poll_log'
#


#
# Table structure for table 'poll_templates'
#

CREATE TABLE poll_templates (
  tpl_id int(10) unsigned NOT NULL auto_increment,
  tplset_id int(10) unsigned NOT NULL default '0',
  title varchar(100) NOT NULL default '',
  template mediumtext NOT NULL,
  PRIMARY KEY  (tpl_id)
) TYPE=MyISAM;

#
# Dumping data for table 'poll_templates'
#

INSERT INTO poll_templates VALUES (1,1,'display_head','<table width=\"$pollvars[table_width]\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" bgcolor=\"$pollvars[bgcolor_fr]\">\r\n  <tr align=\"center\">\r\n    <td><style type=\"text/css\">\r\n       <!--\r\n        .input { font-family: $pollvars[font_face]; font-size: 8pt}\r\n       -->\r\n      </style><font face=\"$pollvars[font_face]\" size=\"-1\" color=\"#FFFFFF\"><b>$pollvars[title]</b></font></td>\r\n  </tr>\r\n  <tr align=\"center\">\r\n    <td>\r\n      <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"2\" align=\"center\" bgcolor=\"$pollvars[bgcolor_tab]\">\r\n        <tr>\r\n          <td height=\"40\" valign=\"middle\"><font face=\"$pollvars[font_face]\" color=\"$pollvars[font_color]\" size=\"1\"><b>$question</b></font></td>\r\n        </tr>\r\n        <tr align=\"right\" valign=\"top\">\r\n          <td>\r\n           <form method=\"post\" action=\"$this->form_forward\">\r\n            <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\" height=\"190\">\r\n              <tr valign=\"top\" align=\"center\">\r\n                <td>\r\n                  <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" align=\"center\">\r\n');
INSERT INTO poll_templates VALUES (2,1,'display_loop','<tr>\r\n    <td width=\"15%\"><input type=\"radio\" name=\"option_id\" value=\"$data[option_id]\"></td>\r\n    <td width=\"85%\"><font face=\"$pollvars[font_face]\" size=\"1\" color=\"$pollvars[font_color]\">$data[option_text]</font></td>\r\n</tr>\r\n');
INSERT INTO poll_templates VALUES (3,1,'display_foot','     </table>\r\n     <input type=\"hidden\" name=\"action\" value=\"vote\">\r\n     <input type=\"hidden\" name=\"poll_ident\" value=\"$poll_id\">\r\n     <input type=\"submit\" value=\"$pollvars[vote_button]\" class=\"input\">\r\n     <br><br>\r\n     <font face=\"$pollvars[font_face]\" color=\"$pollvars[font_color]\" size=\"1\"><a href=\"$this->form_forward?action=results&amp;poll_ident=$poll_id\">$pollvars[result_text]</a><br><br><br></td>\r\n </tr>\r\n</table>\r\n</form>\r\n  <font face=\"$pollvars[font_face]\" size=\"1\"><a href=\"http://www.proxy2.de\" target=\"_blank\" title=\"Advanced Poll\">Version $pollvars[poll_version]</a></font></td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n</table>\r\n');
INSERT INTO poll_templates VALUES (4,1,'result_head','<table width=\"$pollvars[table_width]\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" bgcolor=\"$pollvars[bgcolor_fr]\">\r\n<tr align=\"center\">\r\n<td>\r\n<style type=\"text/css\">\r\n<!--\r\n .input { font-family: $pollvars[font_face]; font-size: 8pt}\r\n .links { font-family: $pollvars[font_face]; font-size: 7.5pt; color: $pollvars[font_color]}\r\n-->\r\n</style>\r\n<font face=\"$pollvars[font_face]\" size=\"-1\" color=\"#FFFFFF\"><b>$pollvars[title]</b></font></td>\r\n</tr>\r\n<tr align=\"center\">\r\n <td><table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"2\" align=\"center\" bgcolor=\"$pollvars[bgcolor_tab]\">\r\n <tr valign=\"middle\">\r\n   <td height=\"40\"><font face=\"$pollvars[font_face]\" color=\"$pollvars[font_color]\" size=\"1\"><b>$question</b></font></td>\r\n </tr>\r\n <tr align=\"right\" valign=\"bottom\">\r\n   <td>\r\n     <table border=\"0\" cellspacing=\"0\" cellpadding=\"1\" width=\"100%\" align=\"center\" height=\"210\">\r\n       <tr valign=\"top\">\r\n        <td>\r\n         <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" align=\"center\">\r\n         ');
INSERT INTO poll_templates VALUES (5,1,'result_loop','<tr>\r\n    <td height=\"22\"><font face=\"$pollvars[font_face]\" color=\"$pollvars[font_color]\" size=\"1\">$option_text</font></td>\r\n    <td nowrap height=\"22\"><font face=\"$pollvars[font_face]\" color=\"$pollvars[font_color]\" size=\"1\"><img src=\"$pollvars[base_gif]/$poll_color.gif\" width=\"$img_width\" height=\"$pollvars[img_height]\"> $vote_val</font></td>\r\n</tr>\r\n');
INSERT INTO poll_templates VALUES (6,1,'result_foot','       </table>\r\n       <font face=\"$pollvars[font_face]\" color=\"$pollvars[font_color]\" size=\"1\"><br>\r\n       $pollvars[total_text]: <font color=\"#CC0000\">$total_votes</font><br>\r\n       $VOTE<br><br><div align=\"center\">\r\n       $COMMENT&nbsp;</div></font>\r\n       </td></tr>\r\n      <tr><td height=\"32\">&nbsp;</td></tr>\r\n     </table>\r\n    <font face=\"$pollvars[font_face]\" size=\"1\"><a href=\"http://www.proxy2.de\" target=\"_blank\" title=\"Advanced Poll\">Version $pollvars[poll_version]</a></font></td>\r\n   </tr>\r\n </table>\r\n</td>\r\n</tr>\r\n</table>\r\n');
INSERT INTO poll_templates VALUES (7,1,'comment','<table border=\"0\" cellspacing=\"0\" cellpadding=\"1\" align=\"center\" bgcolor=\"#666699\">\r\n  <tr align=\"center\">\r\n    <td>\r\n     <style type=\"text/css\">\r\n      <!--\r\n       .button {  font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 8pt}\r\n       .textarea {  font-family: \"MS Sans Serif\"; font-size: 9pt; width: 195px}\r\n       .input {  width: 195px}\r\n      -->\r\n    </style><font color=\"#FFFFFF\" face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"2\"><b>Send Your Comment</b></font></td>\r\n  </tr>\r\n  <tr>\r\n    <td>\r\n      <table border=\"0\" cellspacing=\"0\" cellpadding=\"5\" align=\"center\" bgcolor=\"#FFFFFF\" width=\"200\">\r\n        <tr>\r\n          <td width=\"149\">\r\n            <form method=\"post\" action=\"$this->form_forward\">\r\n              <table border=\"0\" cellspacing=\"0\" cellpadding=\"2\" bgcolor=\"\" align=\"center\">\r\n                <tr>\r\n                  <td class=\"td1\" height=\"40\"><b><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">$question</font></b></td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">Name:</font><br>\r\n                    <input type=\"text\" name=\"name\" maxlength=\"25\" class=\"input\" size=\"23\">\r\n                  </td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">e-mail:</font><br>\r\n                    <input type=\"text\" name=\"email\" size=\"23\" maxlength=\"50\" class=\"input\">\r\n                  </td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">Comment(*):</font><br>\r\n                    <font face=\"MS Sans Serif\" size=\"1\">\r\n                    <textarea name=\"message\" cols=\"19\" wrap=\"VIRTUAL\" rows=\"6\" class=\"textarea\"></textarea>\r\n                    </font>\r\n                  </td>\r\n                </tr>\r\n                <tr valign=\"top\">\r\n                  <td>\r\n                    <input type=\"submit\" value=\"Submit\" class=\"button\">\r\n                    <input type=\"reset\" value=\"Reset\" class=\"button\">\r\n                    <input type=\"hidden\" name=\"action\" value=\"add\">\r\n                    <input type=\"hidden\" name=\"id\" value=\"$poll_id\">\r\n                  </td>\r\n                </tr>\r\n              </table>\r\n            </form>\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n');
INSERT INTO poll_templates VALUES (8,2,'display_head','<table width=\"$pollvars[table_width]\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\" bgcolor=\"#F3F3F3\">\r\n  <tr valign=\"top\"> \r\n    <td valign=\"top\" align=\"right\">\r\n      <form method=\"post\" action=\"$this->form_forward\">\r\n        <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"3\">\r\n          <tr bgcolor=\"$pollvars[bgcolor_fr]\"> \r\n            <td colspan=\"2\" height=\"30\"><font face=\"$pollvars[font_face]\" color=\"#FFFFFF\" size=\"1\"><b>\r\n              $question</b></font></td>\r\n          </tr>\r\n');
INSERT INTO poll_templates VALUES (9,2,'display_loop','<tr> \r\n    <td width=\"14%\"><input type=\"radio\" name=\"option_id\" value=\"$data[option_id]\"></td>\r\n    <td width=\"86%\"><font face=\"$pollvars[font_face]\" size=\"1\" color=\"$pollvars[font_color]\">$data[option_text]</font></td>\r\n</tr>\r\n');
INSERT INTO poll_templates VALUES (10,2,'display_foot','          <tr align=\"center\"> \r\n            <td colspan=\"2\"> \r\n              <input type=\"image\" border=\"0\" src=\"$pollvars[base_gif]/vote.gif\" width=\"110\" height=\"48\">\r\n              <input type=\"hidden\" name=\"action\" value=\"vote\">\r\n              <input type=\"hidden\" name=\"poll_ident\" value=\"$poll_id\">\r\n              <br>\r\n              <font face=\"$pollvars[font_face]\" color=\"$pollvars[font_color]\" size=\"1\"><a href=\"$this->form_forward?action=results&amp;poll_ident=$poll_id\">$pollvars[result_text]</a>\r\n            </td>\r\n          </tr>\r\n        </table>\r\n      </form>\r\n      <font face=\"$pollvars[font_face]\" size=\"1\"><a href=\"http://www.proxy2.de\" target=\"_blank\" title=\"Advanced Poll\">Version $pollvars[poll_version]</a></font>\r\n     </td>\r\n  </tr>\r\n</table>\r\n');
INSERT INTO poll_templates VALUES (11,2,'result_head','<table width=\"170\" border=\"0\" cellspacing=\"0\" cellpadding=\"3\" bgcolor=\"#F3F3F3\">\r\n  <tr> \r\n    <td colspan=\"2\" height=\"25\" bgcolor=\"$pollvars[bgcolor_fr]\"><font face=\"$pollvars[font_face]\" color=\"#FFFFFF\" size=\"1\"><b>$question</b></font></td>\r\n  </tr>\r\n\r\n');
INSERT INTO poll_templates VALUES (12,2,'result_loop','  <tr> \r\n    <td colspan=\"2\"><font face=\"$pollvars[font_face]\" color=\"$pollvars[font_color]\" size=\"1\">$option_text</font></td>\r\n  </tr>\r\n  <tr> \r\n    <td width=\"52%\"><img src=\"$pollvars[base_gif]/greenbar.gif\" width=\"$img_width\" height=\"7\"></td>\r\n    <td width=\"48%\"><font face=\"$pollvars[font_face]\" color=\"$pollvars[font_color]\" size=\"1\">$vote_val</font></td>\r\n  </tr>\r\n');
INSERT INTO poll_templates VALUES (13,2,'result_foot','  <tr> \r\n    <td colspan=\"2\" height=\"40\"><font face=\"$pollvars[font_face]\" color=\"$pollvars[font_color]\" size=\"1\"> \r\n      $pollvars[total_text]: <font color=\"#CC0000\">$total_votes</font>\r\n      <br>$VOTE</font><br><div align=\"center\"><font face=\"$pollvars[font_face]\" color=\"$pollvars[font_color]\" size=\"1\">$COMMENT</font></div>\r\n    </td>\r\n  </tr>\r\n  <tr align=\"right\" valign=\"bottom\" height=\"30\"> \r\n    <td colspan=\"2\"><font face=\"$pollvars[font_face]\" size=\"1\"><a href=\"http://www.proxy2.de\" target=\"_blank\" title=\"Advanced Poll\">Version $pollvars[poll_version]</a></font></td>\r\n  </tr>\r\n</table>\r\n');
INSERT INTO poll_templates VALUES (14,2,'comment','<table border=\"0\" cellspacing=\"0\" cellpadding=\"1\" align=\"center\" bgcolor=\"#666699\">\r\n  <tr align=\"center\">\r\n    <td>\r\n     <style type=\"text/css\">\r\n      <!--\r\n       .button {  font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 8pt}\r\n       .textarea {  font-family: \"MS Sans Serif\"; font-size: 9pt; width: 195px}\r\n       .input {  width: 195px}\r\n      -->\r\n    </style><font color=\"#FFFFFF\" face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"2\"><b>Send Your Comment</b></font></td>\r\n  </tr>\r\n  <tr>\r\n    <td>\r\n      <table border=\"0\" cellspacing=\"0\" cellpadding=\"5\" align=\"center\" bgcolor=\"#F3F3F3\" width=\"200\">\r\n        <tr>\r\n          <td width=\"149\">\r\n            <form method=\"post\" action=\"$this->form_forward\">\r\n              <table border=\"0\" cellspacing=\"0\" cellpadding=\"2\" bgcolor=\"\" align=\"center\">\r\n                <tr>\r\n                  <td class=\"td1\" height=\"40\"><b><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">$question</font></b></td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">Name:</font><br>\r\n                    <input type=\"text\" name=\"name\" maxlength=\"25\" class=\"input\" size=\"23\">\r\n                  </td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">e-mail:</font><br>\r\n                    <input type=\"text\" name=\"email\" size=\"23\" maxlength=\"50\" class=\"input\">\r\n                  </td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">Comment(*):</font><br>\r\n                    <font face=\"MS Sans Serif\" size=\"1\">\r\n                    <textarea name=\"message\" cols=\"19\" wrap=\"VIRTUAL\" rows=\"6\" class=\"textarea\"></textarea>\r\n                    </font>\r\n                  </td>\r\n                </tr>\r\n                <tr valign=\"top\">\r\n                  <td>\r\n                    <input type=\"submit\" value=\"Submit\" class=\"button\">\r\n                    <input type=\"reset\" value=\"Reset\" class=\"button\">\r\n                    <input type=\"hidden\" name=\"action\" value=\"add\">\r\n                    <input type=\"hidden\" name=\"id\" value=\"$poll_id\">\r\n                  </td>\r\n                </tr>\r\n              </table>\r\n            </form>\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n');

#
# Table structure for table 'poll_templateset'
#

CREATE TABLE poll_templateset (
  tplset_id int(10) unsigned NOT NULL auto_increment,
  tplset_name varchar(50) NOT NULL default '',
  created datetime default '0000-00-00 00:00:00',
  PRIMARY KEY  (tplset_id)
) TYPE=MyISAM;

#
# Dumping data for table 'poll_templateset'
#

INSERT INTO poll_templateset VALUES (1,'default','2001-12-04 01:42:15');
INSERT INTO poll_templateset VALUES (2,'simple','2001-12-04 01:43:30');

#
# Table structure for table 'poll_user'
#

CREATE TABLE poll_user (
  user_id smallint(5) NOT NULL auto_increment,
  username varchar(30) NOT NULL default '',
  userpass varchar(30) NOT NULL default '',
  session varchar(32) NOT NULL default '',
  LAST_VISIT timestamp(14) NOT NULL,
  PRIMARY KEY  (user_id)
) TYPE=MyISAM;

#
# Dumping data for table 'poll_user'
#

INSERT INTO poll_user VALUES (1,'admin','2f3f44617b0bc93d','ae69d8160b0f24065dcd7faa8842f1c5',20011206014539);

